AprEndpoint.Poller (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.AprEndpoint.Poller class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class AprEndpoint.Poller

    java.lang.Object
      org.apache.tomcat.util.net.AprEndpoint.Poller

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AprEndpoint

    public class AprEndpoint.Poller

extends java.lang.Object
implements java.lang.Runnable

Poller class.

Field Summary
`protected int` | `addCount`
`protected long[]` | `addS`
`protected boolean` | `comet`
`protected long[]` | `desc`
`protected int` | `keepAliveCount`
`protected long` | `pool`
`protected long` | `serverPollset`

Constructor Summary
`AprEndpoint.Poller(boolean comet)`

Method Summary
`void` | `add(long socket)` Add specified socket and associated pool to the poller.
`protected void` | `destroy()` Destroy the poller.
`int` | `getKeepAliveCount()`
`protected void` | `init()` Create the poller.
`void` | `run()` The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverPollset

    protected long serverPollset

### pool

    protected long pool

### desc

    protected long[] desc

### addS

    protected long[] addS

### addCount

    protected int addCount

### comet

    protected boolean comet

### keepAliveCount

    protected int keepAliveCount

Constructor Detail

### AprEndpoint.Poller

    public AprEndpoint.Poller(boolean comet)

Method Detail

### getKeepAliveCount

    public int getKeepAliveCount()

### init

    protected void init()

  Create the poller. With some versions of APR, the maximum poller size will be 62 (recompiling APR is necessary to remove this limitation).

### destroy

    protected void destroy()

  Destroy the poller.

### add

    public void add(long socket)

  Add specified socket and associated pool to the poller. The socket will be added to a temporary array, and polled first after a maximum amount of time equal to pollTime (in most cases, latency will be much lower, however).

  Parameters:
    `socket` - to add to the poller

### run

    public void run()

  The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.